/* You can add global styles to this file, and also import other style files */
@import '~@angular/material/theming';
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();
$smart-op-primary: mat-palette($mat-indigo);
$smart-op-accent:  mat-palette($mat-pink, A200, A100, A400);


$smart-op-warn:    mat-palette($mat-red);


$smart-op-theme: mat-light-theme((
  color: (
    primary: $smart-op-primary,
    accent: $smart-op-accent,
    warn: $smart-op-warn,
  )
));

@include angular-material-theme($smart-op-theme);

html, body {
  height: 100%;
}

body {
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
  background-color: map-get($smart-op-primary, 100);
}
